﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "LMItemDrop.h"
#include "LMHealthPack.generated.h"

UCLASS()
class LEGUMEMIX_API ALMHealthPack : public ALMItemDrop
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadOnly, Category=Legumix, meta=(AllowPrivateAccess=true, ClampMin=0))
	float HealthGain = 10.f;

public:
	ALMHealthPack();

	virtual void ConsumePack(ALMPlayer* Player) override;
};
